import { sync } from '@genesislcap/foundation-utils';
import { html } from '@microsoft/fast-element';
import { backButton } from '../base';
export const VerifyTemplate = html `
  <login-background>
    <div class="container">
      <zero-card class="card-pd">
        <div class="column-content">
          <login-logo></login-logo>
          <div class="heading2">${(x) => x.toLocalisedText("Verify that it's you")}</div>
          <div class="heading3">
            ${(x) => x.toLocalisedText("We've sent a code to the email address attached to this account.")}
          </div>
        </div>
        <form @submit=${(x) => x.onSubmit()}>
          <zero-text-field
            type="text"
            name="code"
            autocomplete="one-time-code"
            :value=${sync((x) => x.code)}
            autofocus
            data-test-id="code"
          >
            <span class="form-title">${(x) => x.toLocalisedText('Verification Code')}</span>
          </zero-text-field>
          <div class="form-buttons">
            <submit-button
              is-submitting="${(x) => x.isSubmitting}"
              label="${(x) => x.toLocalisedText('Verify and Login')}"
            ></submit-button>
            ${(x) => backButton(() => x.onBack(), x.toLocalisedText('Back'))}
          </div>
          <login-message message="${(x) => x.message}"></login-message>
        </form>
      </zero-card>
    </div>
  </login-background>
`;
